Public Member Functions | Protected Attributes

# Scaler Class Reference

scale various things according to symmetric/asymmetric distribution More...

`#include <demands.h>`

Inheritance diagram for Scaler:

## Public Member Functions
void | SetDemands (LinkGraphComponent *graph, NodeID from, NodeID to, uint demand_forw)
| Set the demands between two nodes using the given base demand.
## Protected Attributes
uint | demand_per_node
| mean demand associated with each node

## Detailed Description

scale various things according to symmetric/asymmetric distribution

Definition at line 23 of file demands.h.

## Member Function Documentation

FORCEINLINE void Scaler::SetDemands | ( | LinkGraphComponent * | graph,
|  | NodeID | from_id,
|  | NodeID | to_id,
|  | uint | demand_forw |
| ) |  |  |

Set the demands between two nodes using the given base demand.

In asymmetric mode this only sets demand in the "forward" direction.

Parameters:

  | graph | The link graph
  | from_id | The supplying node @þaram to_id The receiving node
  | demand_forw | Demand calculated for the "forward" direction

Reimplemented in SymmetricScaler.

Definition at line 53 of file demands.cpp.

References Edge::demand, LinkGraphComponent::GetEdge(), LinkGraphComponent::GetNode(), Node::undelivered_supply, and Edge::unsatisfied_demand.

The documentation for this class was generated from the following files:

- src/linkgraph/demands.h
- src/linkgraph/demands.cpp